Package org.apache.qpid.proton.amqp.security

# Enum SaslCode

java.lang.Object
java.lang.Enum<SaslCode>
org.apache.qpid.proton.amqp.security.SaslCode

All Implemented Interfaces:
  `Serializable`, `Comparable<SaslCode>`

public enum SaslCode extends Enum<SaslCode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTH`
`OK`
`SYS`
`SYS_PERM`
`SYS_TEMP`

## Method Summary

Modifier and Type
Method
Description
`UnsignedByte`
`getValue()`
`static SaslCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaslCode`
`valueOf(UnsignedByte v)`
Returns the enum constant of this type with the specified name.
`static SaslCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final SaslCode OK

### AUTH

public static final SaslCode AUTH

### SYS

public static final SaslCode SYS

### SYS_PERM

public static final SaslCode SYS_PERM

### SYS_TEMP

public static final SaslCode SYS_TEMP

## Method Details

### values

public static SaslCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SaslCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public UnsignedByte getValue()

### valueOf

public static SaslCode valueOf(UnsignedByte v)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `v` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null